define({"0":{y:0,u:"../Content/P4Search/about.html",l:-1,t:"How to use this guide | Helix Core Search API",i:0.0142692725353299,a:"This guide provides information on installing, configuring, and working with Helix Search, the Helix Core Search API. It assumes a basic knowledge of developing with APIs and Helix Core Server (version 2023.3, released in July 2023)."},"1":{y:0,u:"../Content/P4Search/overview.html",l:-1,t:"Overview",i:0.0142692725353299,a:"This section describes the basics of Helix Search.  Helix Search web page The Helix Search web User Interface (UI) enables you search submitted changes, file revisions, and file content in your Helix Core Server.  For information about using the web UI, see  Helix Search web page . Helix Search API ..."},"2":{y:0,u:"../Content/P4Search/license-features.html",l:-1,t:"Licensed features",i:0.0142692725353299,a:"This section describes the licensed features of Helix Search. To use full indexing capabilities of Helix Search you must obtain a Helix DAM capability in your Perforce license. To buy or renew licenses, contact  Sales . Here is a comparison of capabilities between a licensed and unlicensed Helix ..."},"3":{y:0,u:"../Content/P4Search/search-web-page.html",l:-1,t:"Helix Search web UI",i:0.0142692725353299,a:"Helix Search web UI This section describes the Helix Search web UI. "},"4":{y:0,u:"../Content/P4Search/web-ui.html",l:-1,t:"Helix Search web page",i:0.0219701488706093,a:"The Helix Search web User Interface (UI) enables you to search submitted changes, file revisions, file content, and assets in your Helix Core Server.  Get the web address for the  Helix Search web UI from your administrator and open the UI in your web browser.  For example,  ..."},"5":{y:0,u:"../Content/P4Search/managing-p4search.html",l:-1,t:"Managing Helix Search",i:0.0142692725353299,a:"You must be a super or admin user to configure Helix Search services and perform indexing for Helix Search.  Manage Helix Search using the Account arrow from the top navigation bar. You can: View the status of Helix Search, see  Status . Configure Helix Search, see  Configuring Helix Search services ..."},"6":{y:0,u:"../Content/P4Search/status.html",l:-1,t:"Status",i:0.0229808889381915,a:"Status View the Helix Search service status and the time the index last ran. To view the Helix Search service status: Select Account arrow from the top navigation bar. Select Status. The Helix Search Service status page is displayed."},"7":{y:0,u:"../Content/P4Search/configuration-web-ui.html",l:-1,t:"Configuring Helix Search services",i:0.139118358938708,a:"You must be an admin user to configure Helix Search. The Helix Search service must be configured to view the Service status page and to configure services using the Configuration page:  Windows installer: Basic Helix Search services are configured as part of the installation process. Linux ..."},"8":{y:0,u:"../Content/P4Search/indexing-web-ui.html",l:-1,t:"Indexing Helix Search from the web page",i:0.0229808889381915,a:"You must be an admin user to perform indexing in Helix Search. To index Helix Search from the web UI:\n         Select Account arrow from the top navigation bar. Select Indexing and the Indexing page is displayed.  Slide Index Everything switch to enable or disable indexing your Helix Core Server.  ..."},"9":{y:0,u:"../Content/P4Search/service_install_configure.html",l:-1,t:"Install and configure Helix Search",i:0.0207667678245493,a:"Install and configure Helix Search This chapter describes the prerequisites, installation scenarios, installation and configuration of the Helix Search, Helix Core Server, and Elasticsearch services. "},"10":{y:0,u:"../Content/P4Search/prereqs-scenarios.html",l:-1,t:"Helix Search prerequisites and installation scenarios",i:0.0287750606796396,a:"This section describes the perquisites and installation scenarios for the Helix Core Search API, Helix Core Server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case. Prerequisites Helix Search requires the following: Elasticsearch ..."},"11":{y:0,u:"../Content/P4Search/installers.html",l:-1,t:"Helix Search deployment and installation",i:0.0222775653904202,a:"This section describes the deployment and installation process for the Helix Core Search API, Helix Core Server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case, see  Installation scenarios . Deployment Helix Search requires the ..."},"12":{y:0,u:"../Content/P4Search/configure-runtime.html",l:-1,t:"Runtime configuration",i:0.0205242731854194,a:"When Helix Search is installed and ready to use, the Helix Search configuration can be changed before use if required. The location of the configuration file is specified by setting JVM property com.perforce.search.config, the environment, or a file called config.properties in the current local ..."},"13":{y:0,u:"../Content/P4Search/configuration-script.html",l:-1,t:"Configure Helix Search using a script",i:0.0161628654698809,a:"You must be a root user to configure Helix Search. This section details how to  configure Helix Search using a script. You can run the etc/configure.sh script file located in the installation directory to configure Helix Search.  The configure.sh script file updates the following configuration ..."},"14":{y:0,u:"../Content/P4Search/configure-services.html",l:-1,t:"Configure  services used by Helix Search",i:0.065923600858135,a:"You must be an admin user to configure Helix Search. The Helix Search service must be configured to view the Service status page and to configure services using the Configuration page:  Windows installer: Basic Helix Search services are configured as part of the installation process. Linux ..."},"15":{y:0,u:"../Content/P4Search/upgrade.html",l:-1,t:"Upgrade Helix Search",i:0.0142692725353299,a:"This section describes how to upgrade a Helix Search installation to a newer release. Follow the instructions for your OS distribution. Windows We recommend that you backup your existing Helix Search installation before you upgrade it. To  upgrade Helix Search, Helix Server, and Elasticsearch ..."},"16":{y:0,u:"../Content/P4Search/advanced-actions.html",l:-1,t:"Optional",i:0.0142692725353299,a:"Optional This section describes optional configuration settings for Helix Search. "},"17":{y:0,u:"../Content/P4Search/configure-swarm-for-p4search.html",l:-1,t:"Configure Swarm to use Helix Search",i:0.0236084500206459,a:"Standard Swarm searches can be extended to search file content and changelist description by using the Helix Core Search API.  If you make a configuration change, Swarm will not use it until the Swarm config cache has been deleted. For instructions on deleting the config cache, see  Swarm config ..."},"18":{y:0,u:"../Content/P4Search/security-configuration.html",l:-1,t:"SSL security for Helix Search",i:0.0611793977739163,a:"This section describes how to secure your Helix Search communications over SSL using the HTTPS protocol. This involves creating a Java keystore with a valid SSL certificate.  To secure Helix Search with HTTPS SSL access: Create a CSR and private key with the following command: openssl req -new ..."},"19":{y:0,u:"../Content/P4Search/manual-build.html",l:-1,t:"Manually deploy the .jar",i:0.0203839724558692,a:"Perforce recommends that you use the Helix Search installer for Linux or Windows to install Helix Search, see  Install and configure Helix Search .  This section describes the build and configuration process for the Helix Core Search API and Elasticsearch.  To manually deploy the .jar: Check the ..."},"20":{y:0,u:"../Content/P4Search/configure_optical_character_recognition_for_p4search.html",l:-1,t:"Configure Optical Character Recognition (OCR) for Windows",i:0.0142692725353299,a:"To use  Optical Character Recognition (OCR), you must install and enable Tesseract and ImageMagick on Windows. Tesseract  uses ImageMagick for OCR. When both Tesseract and ImageMagick are installed, Tesseract takes precedence for Helix Search.  More information: How to install Tesseract, see  ..."},"21":{y:0,u:"../Content/P4Search/quick-reference-section.html",l:-1,t:"Indexing Helix Search",i:0.0173014927380766,a:"Indexing Helix Search This chapter contains information about indexing the Helix Core Server. "},"22":{y:0,u:"../Content/P4Search/quick-ref-index-server.html",l:-1,t:"Index the Helix Server quick reference",i:0.0142692725353299,a:"This chapter is a quick reference for performing an initial index of your Helix Server. For a small site you may want to index everything but for a larger site you might only want to index a project.  Small site deployment To index all of the changes in your depot, use the following curl request: ..."},"23":{y:0,u:"../Content/P4Search/keep-index-up-to-date.html",l:-1,t:"Keep your index up to date",i:0.0225528349153359,a:"You can keep your Helix Core Server index up to date by using one of the following methods. For more information on how to access Swagger Helix Search REST API, see  Helix Search API endpoints . Use Perforce Lua extensions You must download and install the Perforce Lua extensions before you can use ..."},"24":{y:0,u:"../Content/P4Search/thumbnail-supported-file-types.html",l:-1,t:"Thumbnail generation - Supported file types",i:0.0173014927380766,a:"This section details the file types that Helix Search can generate thumbnails for.  Thumbnails are only generated by Helix Search if it is configured to generate them.  Enable thumbnail generation by setting the com.perforce.p4search.index.thumbnail configurable to true in the indexer ..."},"25":{y:0,u:"../Content/P4Search/api-endpoints.html",l:-1,t:"Helix Search API endpoints",i:0.0753457905063367,a:"From Helix Search 2021.2, the v1 API endpoints have been deprecated. Support for them will be removed in a future release. The v1 API endpoints have been replaced by v1.2 API endpoints.  This chapter describes how to access the Swagger Helix Search REST API and API authentication required for Helix ..."},"26":{y:0,u:"../Content/P4Search/api-endpoints-current.html",l:-1,t:"Swagger Helix Search REST API ",i:0.0173014927380766,a:" This section describes how to access the Swagger Helix Search REST API endpoints for indexing and searching the Helix Core Server.  Do the following to access the Swagger Helix Search REST API endpoints: Get the web address for the Helix Search web UI from your administrator. For example,  ..."},"27":{y:0,u:"../Content/P4Search/api-authentication.html",l:-1,t:"API authentication",i:0.0570669311362711,a:"Some Helix Search API endpoints need an authenticated connection. Authenticated connections are achieved using Token authentication or Bearer authentication.  Token authentication Token authentication is an HTTP authentication system that uses an X-Auth-Token to authenticate the connection to Helix ..."},"28":{y:0,u:"../Content/P4Search/example-queries.html",l:-1,t:"EXIF query examples ",i:0.050350186092059,a:" This section provides  example queries for EXIF data. ElasticSearch query for EXIF metadata  Description Looks for a matched query on an EXIF field. Authentication Supports basic authentication and bearer token authentication, see  API authentication . Usage example Searches for all images with an ..."},"29":{y:0,u:"../Content/P4Search/data-model.html",l:-1,t:"Helix Search: Data model",i:0.0848962693676322,a:"This section details the five data models used by Helix Search.  ChangeModel One instance of this represents single change in the Helix Server. ContentModel One instance of this represents contents of single changed file in the Helix Server: RevisionModel One instance of this represents single ..."},"30":{y:0,u:"../Content/P4Search/contact.html",l:-1,t:"Getting Help",i:0.0142692725353299,a:"Perforce Support cannot help you with user account creation or with resetting your password, please contact your company\u0027s  Perforce administrator for help with this.  We look forward to hearing about your experiences with Helix Search, positive or negative, including must-haves or it would be great ..."},"31":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0142692725353299,a:"Glossary"},"32":{y:0,u:"../Content/P4Search/license.statements.html",l:-1,t:"License Statements",i:0.0142692725353299,a:"License Statements For licensing information for Helix Core Search API and the third-party software included in this Perforce product, see the Helix Search License file . "},});